#pragma once

#include <saas/library/persqueue/configuration/proto/types.pb.h>
#include <saas/library/persqueue/configuration/proto/description.pb.h>
#include <saas/library/persqueue/configuration/service/modify_manager/proto/changes.pb.h>

namespace NSaasLB {
    void DescribeNamespace(const TNamespaceDescription& ns);
    void DescribeNamespaceConfig(const TNamespaceConfig& config);
    void DescribeServiceConfig(IOutputStream& out, const TServiceConfig& config, const TString& lineBegin = "");

    void PrintServiceChanges(const TServiceChanges& changes);
}
